{
    "compilerOptions": {
        "target": "esnext",
        "module": "esnext",
        // 开启严格模式能更好的推断支持this
        "strict": true,
        "jsx": "preserve",
        "importHelpers": true,
        "moduleResolution": "node",
        "experimentalDecorators": true,
        "skipLibCheck": true,
        "esModuleInterop": true,
        "allowSyntheticDefaultImports": true,
        "sourceMap": true,
        "baseUrl": "./",
        "isolatedModules": true,
        "paths": {
            "@/*": ["src/*"]
        },
        "strictPropertyInitialization": false
    },
    "include": ["src/**/*.ts", "src/**/*.vue", "babel.config.js"],
    "exclude": ["node_modules"]
}
